AnsweredAssumed Answered

Hide Visibility of Feature in Part

Question asked by Aaron Heathcote on Dec 18, 2018
Latest reply on Dec 18, 2018 by Aaron Heathcote

I am trying to hide the visibility of the Planes in my parts.

 

Here's what I have (C#):

bool status = false;

swModelDocExt = (SldWorks.ModelDocExtension)swModel.Extension;

status = swModelDocExt.SelectByID2("Front Plane", "PLANE", 0, 0, 0, false, 0, null, 0);

swSelMgr = swModel.SelectionManager;

swFeat = swSelMgr.GetSelectedObject6(1, -1);

swFeat.SetUIState(1, true);

doc.EditRebuild3();

This code is incorrect because it hides the Front Plane in the feature tree:

1.PNG

 

What im trying to achieve:

2.PNG

 

Can someone point me in the right direction?

Outcomes